<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>CleanMojo xref</title>
<link type="text/css" rel="stylesheet" href="../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../apidocs/net/sf/debianmaven/CleanMojo.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <strong class="jxr_keyword">package</strong> net.sf.debianmaven;
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <strong class="jxr_keyword">import</strong> org.apache.commons.io.FileUtils;
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <strong class="jxr_keyword">import</strong> org.apache.maven.plugin.MojoExecutionException;
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <strong class="jxr_keyword">import</strong> java.io.IOException;
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <em class="jxr_javadoccomment"> * Cleans up all files generated by this plugin.</em>
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  <em class="jxr_javadoccomment"> * @goal clean</em>
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  <em class="jxr_javadoccomment"> * @phase clean</em>
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../net/sf/debianmaven/CleanMojo.html">CleanMojo</a> <strong class="jxr_keyword">extends</strong> <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html">AbstractDebianMojo</a>
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  {
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  	<strong class="jxr_keyword">protected</strong> <strong class="jxr_keyword">void</strong> executeDebMojo() <strong class="jxr_keyword">throws</strong> MojoExecutionException
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  	{
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  		<strong class="jxr_keyword">try</strong>
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  		{
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  			FileUtils.deleteDirectory(stageDir);
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  			getPackageFile().delete();
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  		}
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  		<strong class="jxr_keyword">catch</strong> (IOException e)
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  		{
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  			getLog().error(e.toString());
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  			<strong class="jxr_keyword">throw</strong> <strong class="jxr_keyword">new</strong> MojoExecutionException(e.getMessage(), e);
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  		}
<a class="jxr_linenumber" name="L28" href="#L28">28</a>  	}
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  }
</pre>
<hr/>
<div id="footer">Copyright &#169; 2012&#x2013;2019. All rights reserved.</div>
</body>
</html>
